# Sway on Debian SID

My dotfiles. See [here](https://gitea.it/PicciHud/Wallpapers) for the wallpapers

```bash
sudo apt update && sudo apt -y upgrade --no-install-recommends 
```

## Install Sway and utilities

```bash
sudo apt install vim wget git apt-transport-https curl gnupg vim-gtk3 nala neofetch megatools grimshot vrms brightnessctl brightness-udev qtwayland5 pavucontrol arc-theme gtk2-engines-murrine firefox-esr pulseaudio btop qt5ct virtualbox virtualbox-guest-additions-iso screen libgtk-layer-shell0 sway swaylock swayidle swaybg wofi waybar lxappearance thunar thunar-archive-plugin thunar-volman file-roller dex mako-notifier acpi libnm0 network-manager network-manager-gnome sysstat wayland-protocols xwayland wl-clipboard dex jq pavucontrol unzip unrar feh gnome-applets lshw network-manager-openvpn profile-sync-daemon wl-clipboard clipman slurp grim blueman rfkill pulseaudio-utils pulseaudio-module-bluetooth xdg-desktop-portal xdg-desktop-portal-wlr xdg-desktop-portal-gtk --no-install-recommends --no-install-suggests 
```

## PolicyKit

```bash
sudo apt install policykit-1-gnome
```

### PolicyKit rules

Create the following rules

```bash
 > cat /etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf 
[Configuration]
AdminIdentities=unix-group:sudo 

 > sudo cat /etc/polkit-1/rules.d/49-nopasswd_global.rules
[sudo] password di dado:
/* Allow members of the sudo group to execute any actions
 *  * without password authentication, similar to "sudo NOPASSWD:"
 *   */
polkit.addRule(function(action, subject) {
	   if (subject.isInGroup("sudo")) {
		           return polkit.Result.YES;
		       }
});

 > sudo cat /etc/polkit-1/rules.d/50-default.rules
polkit.addAdminRule(function(action, subject) {
	   return ["unix-group:sudo"];
});
```
## adb rules

See [Here](https://gitea.it/PicciHud/mywiki/src/branch/master/android/adb.md) for more details

```bash
 > cat /etc/udev/rules.d/51-android.rules 
SUBSYSTEM=="usb", ATTR{idVendor}=="18d1", ATTR{idProduct}=="4ee2", MODE="0666", GROUP="plugdev"
SUBSYSTEM=="usb", ATTR{idVendor}=="17ef", ATTR{idProduct}=="78fd", MODE="0666", GROUP="plugdev"
```
## Main programs

```bash
sudo apt install ncdu arc exa alacritty openjdk-21-jre seahorse gammastep speedtest-cli python3 python3-pip postgresql android-tools-adb android-tools-fastboot telegram-desktop ipcalc nextcloud-desktop syncthing pandoc openssh-server papirus-icon-theme wget wike foliate orage galculator ncal poppler-utils smartmontools ufw hw-probe duf cmus cava udisks2 fuse3 ntfs-3g clamav python3-venv bash-completion lsof multitail dnsutils nala zathura zathura-cb mpv mousepad ristretto mtp-tools jmtpfs libudisks2-dev gvfs gvfs-backends gvfs-fuse cups system-config-printer pipx feh ranger tmux iptraf-ng profile-sync-daemon kitty flatpak libavcodec-extra libwayland-dev pamix --no-install-recommends 
```

### Ranger addictions

```bash
sudo apt install atool tar sed ffmpeg mediainfo odt2txt imagemagick python3-pil highlight poppler-utils gnome-epub-thumbnailer --no-install-recommends 
```

### Thunar addictions

```bash
sudo apt install tumbler tumbler-plugins-extra ffmpegthumbnailer thunar-archive-plugin --no-install-recommends 
```

### rnr and other programs

```bash
sudo apt install grimshot --no-install-recommends 
pipx install autotiling shotman  pipx ensurepath  pipx list  sleep 5
sudo apt install archivemount  pipx install rnr
```
## Remove the following programs

```bash
sudo apt remove debian-reference-it debian-reference-common debian-faq doc-debian -y
```

## Gnome-keyring

```bash
> cat /usr/share/xdg-desktop-portal/portals/gnome-keyring.portal 
>
[portal]
DBusName=org.freedesktop.secrets
Interfaces=org.freedesktop.impl.portal.Secret
UseIn=gnome;sway
```

## Credits

[Sway EndeavourOS Community Edition](https://github.com/EndeavourOS-Community-Editions/sway)
